DOKU Malaysia API Reference
Home
Products
Products
  • Checkout
  • Payment
  • Cards Payment
DOKU Docs
Home
Products
Products
  • Checkout
  • Payment
  • Cards Payment
DOKU Docs
  1. Cards Payment
  • Introduction
  • Getting Started
    • Create Account
    • Authentication & API Keys
    • Make your first API call
  • Checkout
    • Overview
    • Create Checkout
      POST
    • Retrieve Checkout Status
      GET
  • Payment
    • Overview
    • Create Payment
    • Get Bank List - FPX
    • Retrieve Payment Status
  • Cards Payment
    • Overview
    • Payment Form
      • Request Payment
    • Host-to-Host Payment
      • Check Three D Secure
      • Charge Payment
      • Capture Authorized Payment
    • Request Refund
      POST
    • Unbind Token
      POST
    • Check Status
      GET
  • Notification
    • Overview
    • Setup Notification URL
    • Retry Notification
    • Sample Notification - Global
    • Sample Notification - Cards
  • Technical Reference
    • Authentication & Integrity
    • Idempotency
    • Data Type
    • Order & Transaction Status
    • Postman Collection
    • Response Code
      • Error Code
    • API Version
      • Create Checkout
      • Create Payment
      • Get Bank List - FPX
      • Retrieve Checkout
      • Retrieve Payment
    • Signature
      • Signature - Global
        • Signature
      • Signature - Cards Payment API
        • Signature Component from Request Header
        • Signature Component from Response Header
        • Signature from API Get Method
        • Sample Code
  1. Cards Payment

Request Refund

POST
/cancellation/credit-card/refund
Environment
Sandbox - https://api-sandbox.doku.com
Production - https://api.doku.com
These are the possible Response Status:
1.
VOID: If the funds has not settled to your bank account. The refund.amount must equal to order.amount, otherwise will fail
2.
PARTIAL_REFUND: If the funds has settled to your bank account, and the refund.amount is less than order.amount
3.
FULL_REFUND: If the funds has settled to your bank account, and the refund.amount is equal to order.amount
Notification will be sent to merchant's configured endpoint URL upon succesfull refund or void. Please refer to this page.

Request

Header Params

Body Params application/json

Example
{
    "order": {
        "invoice_number": "INV-20210118-0001"
    },
    "payment": {
        "original_request_id": "b266c265-3d61-4708-9860-c0d5b9a98f8c"
    },
    "refund": {
        "amount": 11
    }
}

Responses

🟢200OK
application/json
Bodyapplication/json

Example
{
    "order": {
        "invoice_number": "INV-20210118-0001"
    },
    "payment": {
        "original_request_id": "b266c265-3d61-4708-9860-c0d5b9a98f8c"
    },
    "refund": {
        "amount": 11,
        "type": "FULL_REFUND",
        "status": "SUCCESS",
        "message": "Approved",
        "approval_code": "12321"
    }
}
🟠400Bad Request
🔴500Server Error
Modified at 2026-02-05 10:35:13
Previous
Capture Authorized Payment
Next
Unbind Token
Built with